cURL
curl --request POST \
--url https://aigw.portkey.ai/v1/threads/runs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assistant_id": "<string>",
"thread": {
"messages": [
{
"content": "<string>",
"attachments": [
{
"file_id": "<string>",
"tools": [
{
"type": "code_interpreter"
}
]
}
],
"metadata": {}
}
],
"tool_resources": {
"code_interpreter": {
"file_ids": []
},
"file_search": {
"vector_store_ids": [
"<string>"
],
"vector_stores": [
{
"file_ids": [
"<string>"
],
"chunking_strategy": {
"type": "auto"
},
"metadata": {}
}
]
}
},
"metadata": {}
},
"model": "<string>",
"instructions": "<string>",
"tools": [
{
"type": "code_interpreter"
}
],
"tool_resources": {
"code_interpreter": {
"file_ids": []
},
"file_search": {
"vector_store_ids": [
"<string>"
]
}
},
"metadata": {},
"temperature": 1,
"top_p": 1,
"stream": true,
"max_prompt_tokens": 257,
"max_completion_tokens": 257,
"truncation_strategy": {
"last_messages": 2
},
"parallel_tool_calls": true
}
'import requests
url = "https://aigw.portkey.ai/v1/threads/runs"
payload = {
"assistant_id": "<string>",
"thread": {
"messages": [
{
"content": "<string>",
"attachments": [
{
"file_id": "<string>",
"tools": [{ "type": "code_interpreter" }]
}
],
"metadata": {}
}
],
"tool_resources": {
"code_interpreter": { "file_ids": [] },
"file_search": {
"vector_store_ids": ["<string>"],
"vector_stores": [
{
"file_ids": ["<string>"],
"chunking_strategy": { "type": "auto" },
"metadata": {}
}
]
}
},
"metadata": {}
},
"model": "<string>",
"instructions": "<string>",
"tools": [{ "type": "code_interpreter" }],
"tool_resources": {
"code_interpreter": { "file_ids": [] },
"file_search": { "vector_store_ids": ["<string>"] }
},
"metadata": {},
"temperature": 1,
"top_p": 1,
"stream": True,
"max_prompt_tokens": 257,
"max_completion_tokens": 257,
"truncation_strategy": { "last_messages": 2 },
"parallel_tool_calls": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assistant_id: '<string>',
thread: {
messages: [
{
content: '<string>',
attachments: [{file_id: '<string>', tools: [{type: 'code_interpreter'}]}],
metadata: {}
}
],
tool_resources: {
code_interpreter: {file_ids: []},
file_search: {
vector_store_ids: ['<string>'],
vector_stores: [{file_ids: ['<string>'], chunking_strategy: {type: 'auto'}, metadata: {}}]
}
},
metadata: {}
},
model: '<string>',
instructions: '<string>',
tools: [{type: 'code_interpreter'}],
tool_resources: {
code_interpreter: {file_ids: []},
file_search: {vector_store_ids: ['<string>']}
},
metadata: {},
temperature: 1,
top_p: 1,
stream: true,
max_prompt_tokens: 257,
max_completion_tokens: 257,
truncation_strategy: {last_messages: 2},
parallel_tool_calls: true
})
};
fetch('https://aigw.portkey.ai/v1/threads/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "thread.run",
"created_at": 123,
"thread_id": "<string>",
"assistant_id": "<string>",
"status": "queued",
"required_action": {
"type": "submit_tool_outputs",
"submit_tool_outputs": {
"tool_calls": [
{
"id": "<string>",
"type": "function",
"function": {
"name": "<string>",
"arguments": "<string>"
}
}
]
}
},
"last_error": {
"code": "server_error",
"message": "<string>"
},
"expires_at": 123,
"started_at": 123,
"cancelled_at": 123,
"failed_at": 123,
"completed_at": 123,
"incomplete_details": {
"reason": "max_completion_tokens"
},
"model": "<string>",
"instructions": "<string>",
"tools": [],
"metadata": {},
"usage": {
"completion_tokens": 123,
"prompt_tokens": 123,
"total_tokens": 123
},
"max_prompt_tokens": 257,
"max_completion_tokens": 257,
"truncation_strategy": {
"type": "auto",
"last_messages": 2
},
"tool_choice": "none",
"parallel_tool_calls": true,
"response_format": "none",
"temperature": 123,
"top_p": 123
}Create thread and run
POST
/
threads
/
runs
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Maximum array length:
20- Code interpreter tool
- FileSearch tool
- Function tool
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
0 <= x <= 2Required range:
0 <= x <= 1Required range:
x >= 256Required range:
x >= 256Show child attributes
Show child attributes
Available options:
none, auto, required Available options:
none, auto Response
200 - application/json
Available options:
thread.run Available options:
queued, in_progress, requires_action, cancelling, cancelled, failed, completed, incomplete, expired Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
tools
(Code interpreter tool · object | FileSearch tool · object | Function tool · object)[]
required
Maximum array length:
20- Code interpreter tool
- FileSearch tool
- Function tool
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Required range:
x >= 256Required range:
x >= 256Show child attributes
Show child attributes
Available options:
none, auto, required Available options:
none, auto Last modified on September 17, 2026
Was this page helpful?

